Bug Hunting Session
Bug 46669 - EDITING: Copy/Paste from Text Box changes page layout if Experimental Features enabled
Summary: EDITING: Copy/Paste from Text Box changes page layout if Experimental Feature...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.1 RC1
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: experimentalEnabled target:3.7.0 targ...
Keywords: filter:rtf, regression
: 47625 50735 (view as bug list)
Depends on:
Blocks: 43869
  Show dependency treegraph
 
Reported: 2012-02-26 23:30 UTC by Jaise James
Modified: 2015-12-17 12:04 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
before & after paste screen shot (41.57 KB, application/x-zip-compressed)
2012-02-26 23:30 UTC, Jaise James
Details
Sample Document (8.57 KB, application/vnd.oasis.opendocument.text)
2012-10-01 06:58 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaise James 2012-02-26 23:30:23 UTC
Created attachment 57699 [details]
before & after paste screen shot

Copy text from "Text Box" from impress, draw or writer & paste in writer changes page layout[changes to "Letter" page size with different margin sizes)
Comment 1 sasha.libreoffice 2012-05-24 04:42:59 UTC
Thanks for bugreport
reproduced in 3.5.3  on Fedora 64 bit
not reproducible in 3.3.4 on Fedora and 3.5.2 on Windows
Comment 2 Jaise James 2012-05-24 05:50:07 UTC
same problem is happening in calc also. if I copy content fron calc & paste using rtf format from paste special.  Page size changes. If undo it won't rectify.
Comment 3 sasha.libreoffice 2012-05-24 05:51:50 UTC
@ Jaise James
Which OS used?
Comment 4 Jaise James 2012-05-24 05:55:19 UTC
Windows Xp & libreoffice 3.5.4rc1.
Comment 5 sasha.libreoffice 2012-05-24 06:16:24 UTC
Thanks for additional information. Reproduced in 3.5.3 on Windows XP and 7
It is Experimental function specific bug
to enable this: Tools->Options->LibreOffice->General->Enable experimental (unstable) features.
in 3.3.4 and 3.4.2 still not reproducible

Steps to reproduce:
0. Start Calc and enter something in first cell
1. select this cell and press Ctrl-C
2. Start Writer
3. Press Ctrl-Shift-V and select "Formatted RTF"
Comment 6 Rainer Bielefeld Retired 2012-10-01 04:28:13 UTC
NOT reproducible with attached sample document and Server Installation of "LibreOffice 3.5.1.2 German UI/Locale [Build-ID: dc9775d-05ecbee-0851ad3-1586698-727bf66] on German WIN7 Home Premium (64bit).

I open document, double click text box text, select all with <control+a> and paste text to beginning of page with <control+v>, page keeps a4 with 20mm margin all around. 

Any Ideas?
Comment 7 sasha.libreoffice 2012-10-01 06:24:51 UTC
It is Experimental function specific bug
reproduced in 3.5.5 and 3.6.1 on Fedora 64 bit
May be users should not enable "Experimental functions". But usually they enable this option to see on new functionality and after this forget to disable this option again.
May be LO should disable this option automatically on next start.
Comment 8 Rainer Bielefeld Retired 2012-10-01 06:58:08 UTC
Created attachment 67911 [details]
Sample Document

[Reproducible] with sample Document and "LibreOffice 3.5.7.1 German UI/Locale [Build-ID:3fa2330-e49ffd2-90d118b-705e248-051e21c] on German WIN7 Home Premium (64bit). Condition: Menu 'Tools -> Options -> LibO -> General - Expermental Features=Enabled'
Comment 9 Rainer Bielefeld Retired 2012-10-01 07:04:06 UTC
Still [Reproducible] with sample document and parallel installation of Master "LOdev  3.7.0.0.alpha0+   -  ENGLISH UI / German Locale  [Build ID: bc63efc]"  {tinderbox: @6, pull time 2012-09-24 21:00:28} on German WIN7 Home Premium (64bit)

No problem with 3.4.5.

@Michael:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf
Comment 10 Michael Stahl (CIB) 2012-10-02 20:50:16 UTC
paste in writer with experimental enabled
 => likely writerfilter RTF import problem
Comment 11 Miklos Vajna 2012-10-15 11:53:47 UTC
I can reproduce the bug described in Comment 5. Will have a look.
Comment 12 Not Assigned 2012-10-15 14:55:39 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f1ba0486241bd239e46b71405662db8e10d9b96

fdo#46669 sw: RTF paste should not change page styles



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Miklos Vajna 2012-10-15 15:24:40 UTC
Resolved in master, -3-6 review request: https://gerrit.libreoffice.org/878
Comment 14 sasha.libreoffice 2012-10-16 05:50:30 UTC
Thanks for fixing this bug
Comment 15 Roman Eisele 2012-10-16 15:55:41 UTC
Thank you for fixing this, too!

If I am not completely wrong, this issue is a part of the symptoms of bug 43869, see comment #2 there. So I add this present bug to the “Depends on” field of bug 43869, in order to make the progress achieved here also visible there.

If we now could fix the other parts of bug 43869, we would be even happier ... ;-)
Comment 16 Not Assigned 2012-10-17 08:09:25 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf16c324c98e597517eff73b24234d78567b9db1

fdo#46669 testcase



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Not Assigned 2012-10-19 20:20:18 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b401b8977df3d9755f6d8999172ce2ecdaef93f0&g=libreoffice-3-6

fdo#46669 sw: RTF paste should not change page styles


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Roman Eisele 2012-10-23 09:58:43 UTC
VERIFIED as FIXED:

With “Enable experimental (unstable) features” checked and following the steps given in comment #5, I can still reproduce this issue with
  LOdev 3.7.0.0.alpha0+ (build ID: c252694; pull time: 2012-10-12 22:05:41),
but I can no longer reproduce it with
  LOdev 3.7.0.0.alpha0+ (Build ID: 370m0(Build:0); pull time: 2012-10-21
  10:01:47).
The page layout is no longer changed by pasting formatted text in RTF format.
Tests done on Mac OS X 10.6.8 (Intel).

@ Miklós:
Thank you very much for fixing this issue!
Comment 19 Urmas 2013-05-27 11:52:37 UTC
*** Bug 47625 has been marked as a duplicate of this bug. ***
Comment 20 Urmas 2013-05-27 11:53:04 UTC
*** Bug 50735 has been marked as a duplicate of this bug. ***
Comment 21 Robinson Tryon (qubit) 2015-12-17 12:04:22 UTC Comment hidden (obsolete)